Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 190997 - Review Request: linux-wlan-ng
Summary: Review Request: linux-wlan-ng
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-05-08 01:13 UTC by W. Michael Petullo
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-27 17:40:59 UTC


Attachments (Terms of Use)
adjust kmod-package to kmod standard (deleted)
2006-05-14 17:01 UTC, Thorsten Leemhuis
no flags Details | Diff

Description W. Michael Petullo 2006-05-08 01:13:29 UTC
Spec URL: http://www.flyn.org/SRPMS/linux-wlan-ng.spec
SRPM URL: http://www.flyn.org/SRPMS/linux-wlan-ng-0.2.3-1.src.rpm
Description:
The linux-wlan package is a linux device driver and subsystem package that is intended to provide the full range of IEEE 802.11 MAC management capabilities for use in user-mode utilities and scripts.  The package currently supports the Intersil 802.11b Prism2, Prism2.5, and Prism3 reference designs for PCMCIA, PCI, and USB.  Additionally, the package includes support for PLX9052 based PCI to PCMCIA adapter with a few different PCMCIA cards.

Comment 1 Jason Tibbitts 2006-05-08 01:28:49 UTC
This doesn't seem to follow the current kernel module system documented in
http://fedoraproject.org/wiki/Extras/KernelModuleProposal
Any particular reason why not?  I think there will be a large number of blockers
otherwise.

Comment 2 W. Michael Petullo 2006-05-11 01:00:02 UTC
Spec URL: http://www.flyn.org/SRPMS/linux-wlan-ng.spec
SRPM URL: http://www.flyn.org/SRPMS/linux-wlan-ng-kmod-0.2.3-2..src.rpm

Spec URL: http://www.flyn.org/SRPMS/linux-wlan-ng-tools.spec
SRPM URL: http://www.flyn.org/SRPMS/linux-wlan-ng-tools-0.2.3-2.src.rpm

These packages start to use the system mentioned in Comment #1.

However, I am not clear on some of the documentation.  The kmod .spec file
contains, at a minimum, the following issues:

1.  Several macros are hardcoded because I have not yet figured out kmodtool.

2.  The install process is convoluted because linux-wlan-ng's install process is
not very flexible.

Both of these issues are labeled with FIXME in the .spec file.  I plan to
continue work on these issues.

Comment 3 Rob Garth 2006-05-13 13:28:12 UTC
When trying to build the kernel module package I receive the following error

sh: line 0: fg: no job control
sh: line 0: fg: no job control
error: Architecture is not included: i386

Comment 4 Gianluca Sforna 2006-05-13 13:31:14 UTC
try with:

rpmbuild -ba linux-wlan-ng.spec --target=i686



Comment 5 Rob Garth 2006-05-14 09:10:41 UTC
Thankyou!

Comment 6 Rob Garth 2006-05-14 12:21:58 UTC
The spec file for the kmod is harcoded to an old kernel version. Needs to be
changed.

Comment 7 Thorsten Leemhuis 2006-05-14 17:01:07 UTC
Created attachment 129010 [details]
adjust kmod-package to kmod standard

(In reply to comment #2)
> These packages start to use the system mentioned in Comment #1.

Attached patch (quick hack -- I left also a fixme for you) will bring it more
in line with the kmod-standard

> However, I am not clear on some of the documentation.

I'm working on it currently (and needed a package to look at it closer again --
that's why I created the patch)

Comment 8 W. Michael Petullo 2006-05-19 03:30:01 UTC
Where does one get the current kmodtool?

Comment 9 Ville Skyttä 2006-05-19 05:33:04 UTC
devel branch of thinkpad-kmod or lirc-kmod in CVS.

Comment 11 W. Michael Petullo 2006-09-20 23:10:29 UTC
New version:

http://flyn.org/SRPMS/linux-wlan-ng-kmod-0.2.5-1.2.6.17_1.2647.fc6.src.rpm
http://flyn.org/SRPMS/linux-wlan-ng.spec
http://flyn.org/SRPMS/linux-wlan-ng-tools-0.2.5-1.src.rpm
http://flyn.org/SRPMS/linux-wlan-ng-tools.spec

Does the kmodtool tool now bring in a dependency on <modname>-common?  These
packages now require this.  Should I rename linux-wlan-ng-tools to
linux-wlan-ng-common?

Comment 13 Warren Togami 2007-01-25 16:13:45 UTC
Does linux-wlan-ng plan on ever including itself within the upstream kernel?

If not, then this does not satisy our requirements for kernel module inclusion.


Comment 14 Jason Tibbitts 2007-05-24 22:32:58 UTC
It's been four months since Warren added his question and in that time there's
been no response.  I think it's about time to close this ticket; I'll do so soon
if there's no further comment.

Comment 15 Richard Kennedy 2007-05-25 09:00:15 UTC
From the FAQ :-

>Q: When will linux-wlan-ng be merged into the mainline kernel?
>
>        Short answer:  Never.
>
>        First, the linux-netdev people will soundly reject this driver.  
>        I don't begrudge them for this; indeed in their position I'd do 
>        exactly the same.  It's a sound engineering decision.
>
>        linux-wlan-ng is obselete, and effort spent fixing it is better 
>        spent elsewhere.  You can't even buy the hardware any longer.
>        ...

It's never going to be easy to maintain this package, so I'd vote to close this one.

Richard

Comment 16 Jason Tibbitts 2007-05-27 18:08:49 UTC
Please remember to fix up the blockers when you close tickets like this.


Note You need to log in before you can comment on or make changes to this bug.